Subject: Re: bug#21612: 24.5; Configuration variable to delete auto-save file when intentionally killing buffer

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Aug 2021 17:10:45 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 16 Aug 2021 15:52:15 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So I think it's okay to have such a feature, but:
> >
> >   . it should be OFF by default; and
> >   . it should NOT by default ask the additional question
> 
> So just delete the auto-save files automatically if you have the option
> switched on and you're killing an unsaved buffer?
> 
> I think this sounds too dramatic to be useful, even as an option.

When the option is switched ON, I'm okay with asking the question.  I
just don't think we should ask it when the option is OFF.